---
title: Instant payments
slug: apis/payments/instant-payments
description: Facilitate real-time fund transfers between U.S. bank accounts using networks like CRNow, RTP®, and FedNow, supporting both credit transfers and payment requests.
docTags: 
createdAt: 2024-08-08T13:22:52.572Z
---

:::CtaButton{label="Instant payments concepts" docId="U_TnYPQ3-5yepG7jKD5FK" openInNewTab="true"}

:::

## Instant payment APIs

Instant payments enable individuals and businesses to transfer funds that clear and settle within seconds between US bank accounts at different US-based financial institutions. Cross River (CR) facilitates instant payments through three networks: CRNow, RTP® via The Clearing House (TCH), and FedNow.

## Requirements for credit transfers via API

To initiate a credit transfer via API, you must have the following information:

- The account number funding the transfer.
- The transfer amount.
- The creditor’s account number and routing number at the receiving bank.

:::hint{type="info"}
[Get started](docId\:Z-MVwOV-p00-xX082NabK) with Cross River APIs.
:::

**GET calls**

- Add query parameters to filter the response the API returns to general GET calls.
- Use [pagination](docId:6EKvQUYWeVh9x4zxmuKlJ) to control presentation of your results.

## API calls

This table provides an overview of the Instant Payments APIs, described in detail below.

| Action                                                | API Call                                        | Description                                                                                        |
| ----------------------------------------------------- | ----------------------------------------------- | -------------------------------------------------------------------------------------------------- |
| [Credit transfer](docId:727H0GkQerqHAFKEy67Uu)        | `POST /v1/payments`                             | Initiates a single Instant Payment                                                                 |
| [Payment request](docId:34BetPVU5CDUR0MKKcIfN) <br /> | `POST /v1/payments/payment-request`             | Initiates a request for a single Instant Payment                                                   |
| [Cancel request](docId\:RIYl47dXZG2Rn5d-APJtr)        | `POST /v1/payments/{id}/payment-request/cancel` | Initiate a cancellation of a requested payment                                                     |
| [Return request](docId\:ZuUrqOCnOKKDsnXK5yT_i)        | `POST /v1/payments/{id}/return-request`         | Initiate return requests for outgoing payments that has already been sent                          |
| [Return approval](docId\:TEvOmyHg1UyINPu8-w8c3)       | POST /v1/payments/&#x7B;id}/return-approval     | Approve an inbound return request for a previously received RTP credit transfer                    |
| [Return reject](docId\:kbyrIcZWjVXS-ZkeTpAPA)         | `POST /v1/payments/{id}/reject`                 | Rejects an inbound return request previously received on a real-time payment                       |
| [Service info](docId\:KdgFKJ1Rv7Dq0VNusrSJw)          | `GET /v1/directory`                             | Retrieves a list of instant payment-related services supported by a specific financial institution |

:::hint{type="info"}
Monetary amounts in API calls and responses are formatted as whole numbers, with no decimal point separating dollars and cents.
:::

## &#x20;Related topics

- [Webhook events: Instant payments](docId\:ffGq2OHYEbWPzn2old6Mc)&#x20;
- [Monitor limit utilization](docId\:KEF-tnmS8kieC5Ky8ptS-)&#x20;
- [Request and response codes: Instant payments](docId\:i1MCoCYNv8NOKPkqFQ1Gb)&#x20;
- [Error codes: Instant payments](docId:3gfvw44bHPSEpyA8ipwxK)&#x20;

## Tutorials

See our API tutorials to learn how to:

- [Send an instant payment](docId:5yRR2S4_i1B34CdzDxR68): Originate a payment using RTP, FedNow, CRNow or network interoperability.
- [Get service info](docId\:OuBLrmwxsKT1EpHZtEo0i): Find out the instant payment services a specific financial institution supports, per network (RTP or FedNow).
- [Set payment expiration](docId\:nY3A7M8Av7sp_fbHOuBLm): Set your own custom expiration time for retrying a payment when a receiving financial institution is down.  &#x20;
- [Fraud reporting](docId\:Sk9mAQG4fAs9OEByqgMWP): Each instant payment network has specific requirements for reporting suspected fraud, with its own criteria for what qualifies as reportable fraud





